net.sourceforge.pmd.lang.cpp

## Class CppTokenManager

- java.lang.Object
- - net.sourceforge.pmd.lang.cpp.CppTokenManager

- All Implemented Interfaces:
    TokenManager

      public class CppTokenManager
      extends Object
      implements TokenManager

  C++ Token Manager implementation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CppTokenManager(Reader source)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getNextToken()`
    `void` | `setFileName(String fileName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CppTokenManager

          public CppTokenManager(Reader source)

  - ### Method Detail

    - #### getNextToken

          public Object getNextToken()

      Specified by:
        `getNextToken` in interface `TokenManager`

    - #### setFileName

          public void setFileName(String fileName)

      Specified by:
        `setFileName` in interface `TokenManager`

Copyright © 2002-2013 InfoEther. All Rights Reserved.